diff tests/test-xstdopen.sh @ 40221:8c1a17df67e0

tests: Prepare for using valgrind. tests/*.sh: Invoke all test programs through ${CHECKER}. tests/*/*.sh: Likewise.
author Bruno Haible <bruno@clisp.org>
date Sun, 10 Mar 2019 11:32:11 +0100
parents fd583bcb1e66
children
line wrap: on
line diff
--- a/tests/test-xstdopen.sh	Sun Mar 10 01:28:42 2019 +0100
+++ b/tests/test-xstdopen.sh	Sun Mar 10 11:32:11 2019 +0100
@@ -1,20 +1,20 @@
 #!/bin/sh
 
 # Test with all of stdin, stdout, stderr open.
-./test-xstdopen || exit 1
+${CHECKER} ./test-xstdopen${EXEEXT} || exit 1
 
 # The syntax for closed file descriptors in sh scripts is specified by POSIX in
 # section 2.7.5 of
 # http://pubs.opengroup.org/onlinepubs/9699919799/utilities/V3_chap02.html
 
 # Test with stdin closed.
-./test-xstdopen <&- || exit 1
+${CHECKER} ./test-xstdopen${EXEEXT} <&- || exit 1
 
 # Test with stdout closed.
-./test-xstdopen >&- || exit 1
+${CHECKER} ./test-xstdopen${EXEEXT} >&- || exit 1
 
 # Test with stderr closed.
-./test-xstdopen 2>&- || exit 1
+${CHECKER} ./test-xstdopen${EXEEXT} 2>&- || exit 1
 
 # Test with all of stdin, stdout, stderr closed.
-./test-xstdopen <&- >&- 2>&- || exit 1
+${CHECKER} ./test-xstdopen${EXEEXT} <&- >&- 2>&- || exit 1